/*
 * print_code_table.c --- ASCII コード表 (印字可能な文字のみ) を表示する。
 *   コンパイル: gcc -o print_code_table print_code_table.c
 *   実行:       ./print_code_table
 *   あるいは: gcc print_code_table.c ; ./a.out
 */
 
 #include <stdio.h>
 
 int main()
 {
     int code;
     /* 0x20 (==32) から 0x7e (==126) までの数をコードとする文字を扱う */
     for (code = 0x20; code <= 0x7e; code++) {
         /* 4 つおきに改行 */
         if (code % 4 == 0)
             printf("\n");
         /* 16 進数, 10 進数, 文字 として表示 */
         printf("0x%02x (%3d): %c    ", code, code, code);
     }
     printf("\n");
     return 0;
 }
